
/*
 * W tym pliku znajduj si definicje wsplne dla serwera i klienta.
 */

#define RMP 18
#define RKL 10
#define PI 3.14159265
#define bok 1000
#define KATY 1920
#define KATY_2 960
#define KATY_8 240
#define KATY_16 120
#define KATY_4 480 
#define KATY_34 1440

/*
 * Struktura przechowujca zawarto pliku konfiguracyjnego.
 */
typedef struct {
        char *serwaddr;
        short serwport;

        int ilelud;
        char **addrs;
        short *ports;
        int32_t *xs; 
        int32_t *ys; 
        int32_t *kier;
} Conf;

/*
 * Stan klawiatury / polecenia gracza.
 */
typedef struct {   
        char left; 
        char right;  
        char up;      
        char down;    
        char leftstr; 
        char rightstr;
        char fire;
        char str;
} Klawisze;

/*
 * Ponisze zmienne globalne przechowuj odczytan map.
 */
extern int *xbecz;
extern int *ybecz;
extern int *isbecz;
extern int ilbecz;
extern int *startx;
extern int *starty;
extern int *startkier;
extern int ilstart;
extern char mapa[RMP][RMP];

/*
 * Bezpieczny malloc()
 */
void *xmalloc(size_t size);

/*
 * Odczytuje dane konfiguracyjne z pliku.
 */
void readconf(Conf * cs, const char *filename);

/*
 * Zwalnia pami wykorzystywan przez struktur z danymi konfiguracyjnymi.
 */
void freeconf(Conf * cs);

/*
 * Odczytuje map z plikw. file1 zawiera rozstawienie cian, file2 
 * pooenia beczek i punktw startowych, z ktrych gracz zaczyna 
 * po mierci.
 */
void readmap(const char *file1, const char *file2);

/*
 * Zwalnia pami wykorzystywan przez map.
 */
void freemap();

